%define         betarel beta15
%define         rel 25

Summary:        Hard Drive Temperature Monitoring
Name:           hddtemp
Version:        0.3
Release:        %mkrel 0.%{betarel}.%{rel}
License:        GPLv2
Group:          Monitoring
URL:            http://www.guzu.net/linux/hddtemp.php
Source0:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2
Source1:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2.sig
# the database has addons when users report new drives
Source2:        hddtemp-%{rel}.db
Source3:        hddtemp.service
Source4:        hddtemp.sysconfig
Source5:        net.guzu.hddtemp.policy
Patch0:         hddtemp_0.3-beta15-52.diff
Patch1:         hddtemp-0.3-beta15-autodetect-717479.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1555871
Patch2:         hddtemp-user-context-type.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       polkit
BuildRequires:  gettext-devel
BuildRequires:  perl

%description
hddtemp is a tool that gives you the temperature of your IDE or SCSI hard drive
(that support this feature) by reading S.M.A.R.T. information. Only modern hard
drives have a temperature sensor.

%prep
%setup -q -n hddtemp-%{version}-%{betarel}
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
    --with-db-path=%{_sysconfdir}/hddtemp.db

%make_build

%install
%make_install

%__install -m 0644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/%{name}.db
%__install -m 0644 %{SOURCE3} -D %{buildroot}%{_unitdir}/%{name}.service
%__install -m 0644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__mkdir_p %{buildroot}%{_bindir} %{buildroot}%{_libexecdir}
%__mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_libexecdir}
rmdir %{buildroot}%{_sbindir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/pkexec %{_libexecdir}/%{name} \$*
EOF
%__install -m 0644 %{SOURCE5} -D %{buildroot}%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc ChangeLog README TODO contribs debian/changelog
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.db
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy
%{_mandir}/man8/%{name}.8*


%changelog
* Wed Apr 01 2020 danf <danf> 0.3-0.beta15.25.mga8
+ Revision: 1563854
- Add a few drives to the database
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 zezinho <zezinho> 0.3-0.beta15.24.mga8
+ Revision: 1426895
- add the SSD 840 model fixing mga#24971

* Tue Sep 25 2018 daviddavid <daviddavid> 0.3-0.beta15.23.mga7
+ Revision: 1305041
- use correct user context type to fix FTBFS
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ wally <wally>
- use new make macros
- fix build on aarch64

* Sat Feb 06 2016 umeabot <umeabot> 0.3-0.beta15.21.mga6
+ Revision: 940202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-0.beta15.20.mga5
+ Revision: 750137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-0.beta15.19.mga5
+ Revision: 680096
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.3-0.beta15.18.mga4
+ Revision: 541444
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 colin <colin> 0.3-0.beta15.17.mga4
+ Revision: 495920
- Fix wrapper script to use exec

* Sat Oct 12 2013 colin <colin> 0.3-0.beta15.16.mga4
+ Revision: 495854
- Allow remote users to perform queries (same as before with consolehelper)
- Switch to polkit for authorisation (everyone is allowed)
- Add autodetection patch from Fedora (needed for new sysconfig file)
- Update to patch level 52 (and drop local patch)
- Convert to systemd service
- Keep the hddtemp.db in regular SVN rather than binrepo

* Sat Jan 12 2013 umeabot <umeabot> 0.3-0.beta15.15.mga3
+ Revision: 353140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 0.3-0.beta15.14.mga2
+ Revision: 204997
- rebuild for MGA2

* Thu Jan 20 2011 pterjan <pterjan> 0.3-0.beta15.13.mga1
+ Revision: 25819
- Add patch from bugtracker to fix build
- imported package hddtemp

